org.eclipse.jetty.plus.webapp

## Class EnvConfiguration

- java.lang.Object
- - org.eclipse.jetty.webapp.AbstractConfiguration
  - - org.eclipse.jetty.plus.webapp.EnvConfiguration

- All Implemented Interfaces:
    Configuration

      public class EnvConfiguration
      extends AbstractConfiguration

  EnvConfiguration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnvConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindEnvEntries(WebAppContext context)` Bind all EnvEntries that have been declared, so that the processing of the web.xml file can potentially override them.
    `void` | `configure(WebAppContext context)` Configure WebApp.
    `protected void` | `createEnvContext(WebAppContext wac)`
    `void` | `deconfigure(WebAppContext context)` Remove jndi setup from start
    `void` | `destroy(WebAppContext context)` Remove all jndi setup
    `void` | `preConfigure(WebAppContext context)` Set up for configuration.
    `void` | `setJettyEnvXml(java.net.URL url)`

    - ### Methods inherited from class org.eclipse.jetty.webapp.AbstractConfiguration

      `cloneConfigure, postConfigure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnvConfiguration

          public EnvConfiguration()

  - ### Method Detail

    - #### setJettyEnvXml

          public void setJettyEnvXml(java.net.URL url)

    - #### preConfigure

          public void preConfigure(WebAppContext context)
                            throws java.lang.Exception

      Description copied from interface: `Configuration`
      Set up for configuration.

      Typically this step discovers configuration resources

      Specified by:
        `preConfigure` in interface `Configuration`
      Overrides:
        `preConfigure` in class `AbstractConfiguration`
      Parameters:
        `context` - The context to configure
      Throws:
        `java.lang.Exception`
      See Also:
        `Configuration.configure(WebAppContext)`

    - #### configure

          public void configure(WebAppContext context)
                         throws java.lang.Exception

      Description copied from interface: `Configuration`
      Configure WebApp.

      Typically this step applies the discovered configuration resources to either the `WebAppContext` or the associated `MetaData`.

      Specified by:
        `configure` in interface `Configuration`
      Overrides:
        `configure` in class `AbstractConfiguration`
      Parameters:
        `context` - The context to configure
      Throws:
        `java.lang.Exception`

    - #### deconfigure

          public void deconfigure(WebAppContext context)
                           throws java.lang.Exception

      Remove jndi setup from start
      Specified by:
        `deconfigure` in interface `Configuration`
      Overrides:
        `deconfigure` in class `AbstractConfiguration`
      Parameters:
        `context` - The context to configure
      Throws:
        `java.lang.Exception`
      See Also:
        `Configuration.deconfigure(WebAppContext)`

    - #### destroy

          public void destroy(WebAppContext context)
                       throws java.lang.Exception

      Remove all jndi setup
      Specified by:
        `destroy` in interface `Configuration`
      Overrides:
        `destroy` in class `AbstractConfiguration`
      Parameters:
        `context` - The context to configure
      Throws:
        `java.lang.Exception`
      See Also:
        `Configuration.deconfigure(WebAppContext)`

    - #### bindEnvEntries

          public void bindEnvEntries(WebAppContext context)
                              throws javax.naming.NamingException

      Bind all EnvEntries that have been declared, so that the processing of the web.xml file can potentially override them. We first bind EnvEntries declared in Server scope, then WebAppContext scope.
      Throws:
        `javax.naming.NamingException`

    - #### createEnvContext

          protected void createEnvContext(WebAppContext wac)
                                   throws javax.naming.NamingException

      Throws:
        `javax.naming.NamingException`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.